body {
  margin: 0px;
  padding: 0px;
  font-family: sans-serif;
}

.name {
  font-size: 20px;
  font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif
}

.sidebar {
  display: none;
}

#rb {
  display: none;
}



#nav-menu a:hover {
  background-color: black;
  transform: scale(0.9);
  border-radius: 8px;
}


#nav-menu {
  display: flex;

  justify-content: space-between;
  background-color: #0cc0df;

  position: sticky;
  top: 0px;
  width: 100%;

  padding: 3px;
  max-width: 100%;
  z-index: 3;
}

#resume-button-1 {
  background-color: #0cc0df;
  padding: 10px;
  font-size: 20px;
  border: 0px;
  padding: 20px;
}

#resume-button-1 a {
  text-decoration: none;
  color: white;
}

#m {

  display: flex;
  vertical-align: middle;
  align-items: center;

}

#m a {
  padding: 6px 11px;
  font-size: 21px;
  margin: 4px 10px;
  color: white;
  text-decoration: none;
}

#home {

  display: flex;
  justify-content: center;
  align-items: center;
  gap: 100px;
  text-align: center;
  background-color: black;
  color: white;
  padding-top: 20px;
  padding-bottom: 20px;
}

.home-img {
  border-radius: 20%;
}

#home p {
  font-size: 30px;
 
}




#about {
  text-align: center;
  margin-top: 50px;
  background-color: black;
  color: white;
  padding-top: 20px;
  padding-bottom: 20px;
}

#about h2 {
  font-size: 30px;
}

#about p {
  width: 50%;
  text-align: center;
  margin: auto;

  font-size: 20px;
  line-height: 40px;
  letter-spacing: 2px;

}

#user-detail-div {
  width: 100%;
  margin: auto;



}

#aboutflex {
  text-align: center;
  margin-top: 20px;

}

#resume-button-2 {
  text-decoration: none;
  color: black;

  padding: 10px;
  border-radius: 10px;
  font-size: 20px;
  border: 2px solid #0cc0df;
  letter-spacing: 2px;
}

#resume-button-2:hover {
  background-color: #0cc0df;
  color: white;
  cursor: pointer;
  transform: scale(0.9);
}

#resume-button-2 a {
  text-decoration: none;
  color: black;
  font-size: 20px;
}

#resume-button-2 a:hover {
  color: white;
}

#skills {

  text-align: center;
  margin-top: 50px;
  margin-bottom: 50px;
  background-color: black;
  color: white;
  padding-top: 20px;
  padding-bottom: 20px;
}

#skills h2 {
  font-size: 30px;
}

#grid {
  display: grid;

  grid-template-columns: repeat(4, 1fr);
  gap: 40px;
  margin-top: 50px;
  width: 70%;
  margin: auto;
  font-size: 20px;
  font-weight: 600;
}

#grid img {
  width: 30%;
  border-radius: 20%;
}

.skills-card {
  border: 2px solid #0cc0df;
  border-radius: 20px;
  padding-top: 20px;
}

.skills-card:hover {
  background-color: #0cc0df;
  color: white;
  cursor: pointer;
  transform: scale(0.9);
}

#tools {
  background-color: black;
  color: white;
  padding-top: 20px;
  padding-bottom: 20px;
}

#tool {
  display: grid;

  grid-template-columns: repeat(4, 1fr);
  gap: 40px;
  margin-top: 50px;
  width: 70%;
  margin: auto;
  font-size: 20px;
  font-weight: 600;
}

#tool img {
  width: 30%;
  border-radius: 20%;
}

.tools-card {
  border: 2px solid #0cc0df;
  border-radius: 20px;
  padding-top: 20px;
  text-align: center;
}

.tools-card:hover {
  background-color: #0cc0df;
  color: white;
  cursor: pointer;
  transform: scale(0.9);
}

.mid {
  font-size: 30px;
  text-align: center;
}

#p {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 30px;
  width: 80%;
  margin: auto;
}

#p img {
  width: 100%;
  border-radius: 20px;
}

#projects {
  background-color: black;
  color: white;
  padding-top: 20px;
  padding-bottom: 20px;
  margin-top: 50px;
}

.project-card {
  border: 2px solid #0cc0df;
  border-radius: 20px;
  text-align: center;
  padding: 20px;
  font-size: 16px;
  background-color: white;
  color: black;
}

.project-card:hover {
  background-color: #0cc0df;
  color: white;
  cursor: pointer;
  transform: scale(0.97);
}

.projectlinks a {
  text-decoration: none;
  color: black;
  border: 1px solid black;
  padding: 10px;
  border-radius: 5px;
  font-weight: 600;
}

.projectlinks a:hover {
  background-color: black;
  color: white;
}

#stats {
  margin-top: 50px;
  background-color: black;
  color: white;
  padding-top: 20px;
  padding-bottom: 20px;
}

.mid {
  font-size: 30px;
  font-weight: 600;
  text-align: center;
}

#g {
  width: 80%;
  margin: auto;

}

#lang {
  margin: auto;
  margin-bottom: 50px;
  width: 30%;



}

#github-top-langs {

  margin: auto;
  text-align: center;
  border: 2px solid #0cc0df;
  border-radius: 20px;


  width: 100%;

}

#statsimg {
  display: flex;
  justify-content: center;
  gap: 30px;
}

#statsimg img {

  text-align: center;
  border: 2px solid #0cc0df;
  border-radius: 20px;

  margin-bottom: 20px;
}

.react-activity-calendar {
  width: 90%;

}

#calendar {
  background-color: black;
  color: white;
  padding-top: 20px;
  padding-bottom: 20px;
  margin-top: 50px;
}

#contact {
  text-align: center;
  font-size: 20px;
  background-color: black;
  color: white;
  padding-top: 20px;
  padding-bottom: 20px;
  margin-top: 50px;
}

#contact a {
  text-decoration: none;
  color: white;
  padding: 10px;

}

#contact a:hover {
  background-color: #0cc0df;
  color: white;
  border-radius: 5px;
}





@media only screen and (max-width:900px) {

  #nav-menu {
    width: 100%;

    align-items: center;
  }

  #rb {
    display: block;
    margin-right: 30px;
    border: 2px solid black;
    background-color: #0cc0df;
  }

  .openbtn {
    background-color: #0cc0df;
    border: 0px;
    width: 100%;
  }

  #m {
    display: none;
  }

  #home {
    flex-direction: column;
    width: 100%;
    margin: auto;
    gap: 0px;
  }

  .home-img {
    width: 50%;
    margin-top: 0px;
  }

  #home img {
    margin-bottom: 0px;
  }

  #about p {
    width: 80%;
  }

  #grid {
    grid-template-columns: repeat(3, 1fr);
  }

  #tool {
    grid-template-columns: repeat(3, 1fr);
  }

  #p {
    grid-template-columns: repeat(1, 1fr);
  }

  #g {
    flex-direction: column;
  }

  #statsimg {
    flex-direction: column;
  }

  #lang {
    width: 100%;
  }

  .sidebar {

    width: 20%;
    margin-left: 80%;
    background-color: black;
    text-align: center;
    padding-top: 10px;
    padding-bottom: 10px;


  }

  .closebtn {
    text-decoration: none;
    color: white
  }

  .sidebar div a {
    text-decoration: none;
    color: white
  }





}



@media only screen and (max-width: 500px) {
  #nav-menu {
    width: 100%;

    align-items: center;
  }

  #rb {
    display: block;
    margin-right: 30px;
    border: 2px solid black;
    background-color: #0cc0df;
  }

  .openbtn {
    background-color: #0cc0df;
    border: 0px;
    width: 100%;
  }

  #lang {
    width: 100%;
  }

  #grid {
    grid-template-columns: repeat(2, 1fr);
  }

  #tool {
    grid-template-columns: repeat(2, 1fr);
  }

}